#!/bin/bash

#create folder and change directory
mkdir -p ~/transformers_for_SAG
cd ~/transformers_for_SAG

#handle SSH-keys (the argument "$1" is the SSH-key to gitlab)
eval $(ssh-agent -s)
echo "$1" | base64 -d | tr -d '\r' | ssh-add - > /dev/null     

#pull gitlab repository
echo "pulling gitlab repository"
git init
git pull git@transfer.hft-stuttgart.de:61sima1bif/transformers-for-sag.git

#loading conda environment
echo "load and activate virtual environment"
eval "$(conda shell.bash hook)"
conda env create -f environment.yml
conda activate env_transformers_for_SAG

echo "running python code"
python run_SAG.py --do_eval --data_dir data/glue_data/SST-2 --model_type bert --model_name_or_path 'bert-base-uncased' --task_name sst-2 --output_dir output

